## Why?

At our institute we have about 50 domains for redirections only.
If all rewrite rules are inside wbserver definitions then no non-sysadmin would be able to get an overview over all redirect domains and their rules to point anywhere with what redirect code.

All domains with redirects only point to the same web that executes the redirects.

The redirects are handled in JSON files. So it can be put into a repository and can reproduce the history of changes.

Next to the redirec functionality for the public web there is a web ui for showing all domains, redirects in a sortable, searchable table. Domains and redirects can be tested.

![Admin ui](images/admin_ui.png)

## Requirements

* PHP 8 (up to PHP 8.4)
* Webserver (docs describe usage for Apache httpd)

## Features

* handle Redirects with strings or regex
* one config file per handled domain
* aliases can be defined to handle same redirects
* optional debugging (will be written into http reponse header)
* debug processing
* admin ui (disabled by default)
  * list and filter all existing domains and redirects
  * test redirects with live http head requests
