## The web ui

The web ui is a viewer for the configuration with some additional help features:

* A check of the configuration shows you found errors.
* DNS check of a hostname
* live view of current http response header
* view configs

## Enable web ui

By default the web ui is disabled.

In the classes folder you find a file `classes/redirect.admin.class.php_enabled.txt.dist` ... just copy it to `redirect.admin.class.php_enabled.txt` (without ".dist").

Then you can open **/admin** in your webbrowser, eg.  `http(s)://servername/admin/`.

## Domains and redirects

You get a list with all defined domains and its redirects + aliases.

![Admin ui](images/admin_ui.png)

In the table you see the columns

* **Host** - the hostname/ FQDN that has a redirect rule
  * 🔷 Domain with config entries
  * ▪️ Alias pointng to the config of another domain
* **Ip address** - the found ip of the fqdn. 
  * 🟢 green = domain is on the same ip like the redirect tool.
  * 🟠 yellow = domain is on another domain (= the config from here does not work because redirect is handled on another system)
  * ❗= Hostname was not found in DNS
* **Setup** - type of setup: one of config|alias
* **Type** - type of redirect: one of direct|regex
* **From** - source that will be redirected
* **Code** - http response code for redirection
* **Target** - target url

### Test connection

You can click a link to a hostname, a linked redirect or target url. In an overlay window you get the status for the http test.

### Http header

If click on the link of the host you get a live view of a response of a http HEAD request to the webroot of this domain.

The redirects of the type "direct" have a linked "From" field value. If you click on it you get a live view of the http response header of `https://[Server]/[From]`.

![Admin ui: request successful](images/admin_ui_box_http_ok.png)

If the connect failed there is no http response header to show. To get an idea what is wrong you get the curl error message. The you can estimate the problem - is it a missing DNS entry, a network problem, timeout, whatever.

![Admin ui: connection failed](images/admin_ui_box_connect_failed.png)

## Config

If you click on the linked text "config" you get the content of the config file for this domain with all its redirects.

If you click on the linked text "alias" you get the configuration of the domain that points to the alias domain.

